# Generated from wirecard_subscriptions-1.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wirecard_subscriptions

Name: rubygem-%{gem_name}
Version: 1.3.6
Release: 1%{?dist}
Summary: A Ruby gem to Wirecard Subscriptions API
License: MIT
URL: https://github.com/mariodias/wirecard-ruby-subscriptions
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(codeclimate-test-reporter)
# BuildRequires: rubygem(rubocop) = 0.49.1
BuildArch: noarch

%description
A gem to ease the process of integrating the Wirecard Subscriptions API into
your system. #enjoy!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/wirecard_subscriptions.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.3.6-1
- Initial package
